{ config
, pkgs
, inputs
, ...
}:

let
  wallpaper = inputs.nix-wallpaper.packages.${pkgs.system}.default.override {
    logoSize = 24;
    preset = "gruvbox-dark-rainbow";
  };
  wallpaperPath = "${wallpaper}/share/wallpapers/nixos-wallpaper.png";
in

{
  home = {
    file.".background".source = wallpaperPath;

    packages = with pkgs.unstable-pkgs; [
      bitwarden
      brave
      cavalier
      freetube
      inkscape
      jellyfin-media-player
      kate
      neofetch
      nextcloud-client
      onlyoffice-bin
      rustdesk
      tutanota-desktop
      signal-desktop
      thunderbird
    ];
  };
}
