{ lib
, pkgs
, config
, inputs
, ...
}:
{
  # imports = [
  #  ../shell
  #];

  xdg.enable = true;

  programs.alacritty = {
    enable = true;
    settings = {
      window.opacity = 0.88;
      window.dimensions = {
        lines = 40;
        columns = 150;
      };
    };
  };
  services = {
    emacs = {
      package = lib.mkForce pkgs.unstable-pkgs.emacs-unstable-pgtk;
    };
  };

  home = {
    sessionVariables = {
      TERMINAL = "alacritty";
    };

    packages = with pkgs.unstable-pkgs; [
      any-nix-shell
      atool
      aspell
      aspellDicts.en
      aspellDicts.en-computers
      aspellDicts.en-science
      aspellDicts.de
      binutils
      cmake
      curl
      direnv
      emacs-unstable-pgtk
      fd
      gnutls
      gnumake
      gcc
      imagemagick
      libtool
      nil
      nixpkgs-fmt
      pandoc
      python311Full
      rcm
      (lib.mkIf config.services.gpg-agent.enable
        pinentry-emacs)
      (ripgrep.override { withPCRE2 = true; })
      shellcheck
      shfmt
      statix
      texlive.combined.scheme-full
      tokei
      wget
      wl-clipboard
      zstd
    ];
  };
}
